<?php

namespace Modules\Partners\Trusts;

class View_Insert extends \App\Mvc\View_Popup_Entity_GeneralAbstract
{

	/**
	 * Attach vars that will be sent to the parent window on popup close
	 * @see \App\Mvc\View_Popup_Entity_GeneralAbstract::render_formExecutedOk()
	 */
	protected function render_formExecutedOk()
	{
		$id 	= $this->input['idRecord'];
		$name 	= \Entity\Trust::select($id)->name;

		$this->setOutputVar('execOutput', ['id'=>$id, 'name'=>$name]);
	}

}